Bug 1221030 - GetGroupsPackages breaks, if called before GetGroups
Summary: GetGroupsPackages breaks, if called before GetGroups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdaemon
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0f664f5f3443a01f9b70e6fdc77...
: 1226053 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-13 07:39 UTC by 123
Modified: 2015-11-20 23:26 UTC (History)
3 users (show)

Fixed In Version: dnfdaemon-0.3.10-1.fc22 dnfdaemon-0.3.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 12:23:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (3.36 KB, text/plain)
2015-05-13 07:39 UTC, 123
no flags Details
File: environ (1.71 KB, text/plain)
2015-05-13 07:39 UTC, 123
no flags Details

Description 123 2015-05-13 07:39:01 UTC
Description of problem:
I started yumex-dnf.

Version-Release number of selected component:
yumex-dnf-4.1.1-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python3 -tt /usr/bin/yumex-dnf
executable:     /usr/bin/yumex-dnf
kernel:         3.19.5-200.fc21.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:232:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/dbus/service.py", line 826, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/server/__init__.py", line 81, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 588, in GetGroupPackages
    value = self.get_group_pkgs(grp_id, grp_flt, fields)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/server/__init__.py", line 362, in get_group_pkgs
    grp = self.base.comps.group_by_pattern(grp_id)
AttributeError: 'NoneType' object has no attribute 'group_by_pattern'
 (36)

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 861, in on_group_changed
    pkgs = self.backend.get_group_packages(grp_id, 'all')
  File "/usr/lib/python3.4/site-packages/yumex/misc.py", line 112, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/yumex/dnf_backend.py", line 450, in get_group_packages
    pkgs = self.GetGroupPackages(grp_id, grp_flt, attrs)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 465, in GetGroupPackages
    grp_id, grp_flt, fields))
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 275, in _run_dbus_async
    result = self._get_result(data)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 259, in _get_result
    self._handle_dbus_error(user_data['error'])
  File "/usr/lib/python3.4/site-packages/dnfdaemon/client/__init__.py", line 232, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/dbus/service.py", line 826, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/server/__init__.py", line 81, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 588, in GetGroupPackages
    value = self.get_group_pkgs(grp_id, grp_flt, fields)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/server/__init__.py", line 362, in get_group_pkgs
    grp = self.base.comps.group_by_pattern(grp_id)
AttributeError: 'NoneType' object has no attribute 'group_by_pattern'
 (36)

Local variables in innermost frame:
msg: ''
err: GLib.Error('GDBus.Error:org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/dbus/service.py", line 826, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/server/__init__.py", line 81, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 588, in GetGroupPackages
    value = self.get_group_pkgs(grp_id, grp_flt, fields)
  File "/usr/lib/python3.4/site-packages/dnfdaemon/server/__init__.py", line 362, in get_group_pkgs
    grp = self.base.comps.group_by_pattern(grp_id)
AttributeError: 'NoneType' object has no attribute 'group_by_pattern'
', 'g-io-error-quark', 36)
exc: ''
self: <yumex.dnf_backend.DnfRootBackend object at 0x7f03a0057d30>

Comment 1 123 2015-05-13 07:39:04 UTC
Created attachment 1024942 [details]
File: backtrace

Comment 2 123 2015-05-13 07:39:06 UTC
Created attachment 1024943 [details]
File: environ

Comment 4 Fedora Update System 2015-05-27 16:26:25 UTC
dnfdaemon-0.3.9-1.fc22,yumex-dnf-4.1.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnfdaemon-0.3.9-1.fc22,yumex-dnf-4.1.3-1.fc22

Comment 5 Fedora Update System 2015-05-27 16:26:36 UTC
dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21

Comment 6 Fedora Update System 2015-05-28 12:01:36 UTC
Package dnfdaemon-0.3.9-1.fc21, yumex-dnf-4.1.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnfdaemon-0.3.9-1.fc21 yumex-dnf-4.1.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9000/dnfdaemon-0.3.9-1.fc21,yumex-dnf-4.1.3-1.fc21
then log in and leave karma (feedback).

Comment 7 Tim Lauridsen 2015-05-29 10:31:51 UTC
*** Bug 1226053 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2015-10-01 07:35:23 UTC
dnfdaemon-0.3.10-1.fc22 yumex-dnf-4.1.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

Comment 9 Fedora Update System 2015-10-01 11:31:46 UTC
dnfdaemon-0.3.10-1.fc21 yumex-dnf-4.1.4-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-63612c557d

Comment 10 Fedora Update System 2015-10-04 01:37:15 UTC
dnfdaemon-0.3.10-1.fc22, yumex-dnf-4.1.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-816c17411d

Comment 11 Fedora Update System 2015-10-04 02:21:01 UTC
dnfdaemon-0.3.10-1.fc21, yumex-dnf-4.1.4-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update yumex-dnf dnfdaemon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-63612c557d

Comment 12 Fedora End Of Life 2015-11-04 16:01:17 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora Update System 2015-11-19 12:23:42 UTC
dnfdaemon-0.3.10-1.fc22, yumex-dnf-4.1.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-20 23:26:04 UTC
dnfdaemon-0.3.10-1.fc21, yumex-dnf-4.1.4-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.